{ mkDerivation, Stream, base, lib }:
mkDerivation {
  pname = "arrows";
  version = "0.4.4.2";
  sha256 = "f65ac93306629e70ae0d92914cc04d6ab499de3168036f0623aba3fffd22ab09";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base Stream ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "http://www.haskell.org/arrows/";
  description = "Arrow classes and transformers";
  license = lib.licenses.bsd3;
  broken = false;
}