{ mkDerivation, base, lib, prettyprinter, string-interpolate, tasty
, tasty-hunit, template-haskell, text
}:
mkDerivation {
  pname = "prettyprinter-interp";
  version = "0.2.0.0";
  sha256 = "ce812e060c4a582f5091131a70535bf3ce5b5bd90e036cc1351ad8443c328056";
  revision = "3";
  editedCabalFile = "079c6ri9aahi4whnxzyh5d3nnawmjvn1kjkq6jdsnp96bflkkhv9";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base prettyprinter string-interpolate template-haskell text
  ];
  testHaskellDepends = [
    base prettyprinter string-interpolate tasty tasty-hunit text
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/DigitalBrains1/prettyprinter-interp";
  description = "Efficient interpolation for Prettyprinter";
  license = lib.licenses.bsd2;
  broken = false;
}