let H =
      https://gitlab.horizon-haskell.net/dhall/horizon-spec/-/raw/0.10.0/horizon-spec/package.dhall

let packages =
      { arrows = H.callHackage "arrows" "0.4.4.2"
      , clash-ghc = H.callHackage "clash-ghc" "1.8.1"
      , clash-lib = H.callHackage "clash-lib" "1.8.1"
      , clash-prelude = H.callHackage "clash-prelude" "1.8.1"
      , concurrent-supply = H.callHackage "concurrent-supply" "0.1.8"
      , ghc-typelits-extra = H.callHackage "ghc-typelits-extra" "0.4.5"
      , implicit = H.callHackage "implicit" "0.4.0.0"
      , infinite-list = H.callHackage "infinite-list" "0.1"
      , prettyprinter-interp = H.callHackage "prettyprinter-interp" "0.2.0.0"
      }

in  H.HorizonExport.MakeOverlay
      { overlayFile = "overlay.nix"
      , packagesDir = "pkgs/"
      , overlay = { compiler = "ghc-9.4.7", packages = toMap packages }
      }
