{ pkgs, ... }:

final: prev: with pkgs.haskell.lib; {
  arrows = final.callPackage (./pkgs/arrows.nix) { };

  clash-ghc = final.callPackage (./pkgs/clash-ghc.nix) { };

  clash-lib = final.callPackage (./pkgs/clash-lib.nix) { };

  clash-prelude = final.callPackage (./pkgs/clash-prelude.nix) { };

  concurrent-supply = final.callPackage (./pkgs/concurrent-supply.nix) { };

  ghc-typelits-extra = final.callPackage (./pkgs/ghc-typelits-extra.nix) { };

  implicit = final.callPackage (./pkgs/implicit.nix) { };

  infinite-list = final.callPackage (./pkgs/infinite-list.nix) { };

  prettyprinter-interp = final.callPackage (./pkgs/prettyprinter-interp.nix) { };

}
