{ mkDerivation, HUnit, base, bytestring, containers, directory
, exceptions, fetchgit, filepath, ghc, ghc-boot, ghc-paths, lib
, random, stm, temporary, text, transformers, typed-process, unix
}:
mkDerivation {
  pname = "hint";
  version = "0.9.0.5";
  src = fetchgit {
    url = "https://github.com/haskell-hint/hint";
    sha256 = "0c822d4lds2prsb5nzrrn8wncbl4dw4cvrlx27b11gbyip69bxjw";
    rev = "710745eafa6bb8d531f2dfdbc07c50c9b776f0b2";
    fetchSubmodules = true;
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base containers directory exceptions filepath ghc ghc-boot
    ghc-paths random temporary transformers unix
  ];
  testHaskellDepends = [
    base bytestring containers directory exceptions filepath HUnit stm
    text typed-process unix
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/haskell-hint/hint";
  description = "A Haskell interpreter built on top of the GHC API";
  license = lib.licenses.bsd3;
  broken = false;
}